Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162875 - Unable to insert OLE object in writer (of calc)
Summary: Unable to insert OLE object in writer (of calc)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 01:12 UTC by Robert Locke
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.116-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 07:55:45 UTC


Attachments (Terms of Use)

Description Robert Locke 2005-07-11 01:12:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When trying to insert an existing .ods (calc) spreadsheet into an .odt (writer) document, via Insert-Object-OLE Object - Existing file, error ensues: The operation on "filename" was started with an invalid parameter.

Version-Release number of selected component (if applicable):
openoffice.org-writer-1.9.112-1.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Save existing spreadsheet as .ods
2. From writer choose, Insert-Object-OLE Object
3. Choose "Create from file..."
4. Locate file
5. Select OK
  

Actual Results:  Error ensues as defined in description

Expected Results:  File should have been inserted.

Additional info:

This did work in various incarnations of 1.1 under earlier FC releases.  Have also tried using an older .sxc file to try to import that without success.

Comment 1 Caolan McNamara 2005-07-11 07:56:52 UTC
after you select the file is there "//" at the start of the path in the file
location shown in the insert ole dialog, if so change it to "/" manually and see
if that makes it work. I think it's a small problem of the file selecter.

Comment 2 Robert Locke 2005-07-11 12:44:47 UTC
Fantastic!  That was it, just didn't notice the pair of "//" at the
beginning....  Thank you - as this is easy enough to work around now.....


Note You need to log in before you can comment on or make changes to this bug.